package com.dashitech.api.rest;

import com.dashitech.migration.StartApplication;
import org.apache.commons.lang.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping(value = "/api")
public class ApiRest {

    @Autowired
    StartApplication startApplication;


    @RequestMapping(value = "/start", method = RequestMethod.GET)
    @ResponseBody
    public String start(String taskName) {
        if (StringUtils.isNotEmpty(taskName)) {
            startApplication.start(taskName);
        } else {
            startApplication.start();
        }
        return "ok";
    }


}
